%define	module	Class-MethodMaker
%define	name	perl-%{module}
%define	version	2.12
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Create generic methods for OO Perl
Url:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module solves the problem of having to write a bazillion
get/set methods that are all the same. The argument to 'use'
is a hash whose keys are the names of types of generic
methods generated by MethodMaker and whose values tell method
maker what methods to make. (More precisely, the keys are the
names of MethodMaker methods (methods that write methods) and
the values are the arguments to those methods.

%prep
%setup -q -n %{module}-%{version}
rm -f t/0-signature.t # debug files make it fails

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO Changes
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{_mandir}/*/*



%changelog
* Mon Jul 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2009.0
+ Revision: 239328
- update to new version 2.12

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2009.0
+ Revision: 195214
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.10-4mdv2008.1
+ Revision: 151354
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - rebuild

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.10-1mdv2008.0
+ Revision: 19800
- 2.10


* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 21:41:16 (56108)
- rebuild

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 21:35:06 (56107)
Import perl-Class-MethodMaker

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.08-1mdk
- New release 2.08
- spec cleanup
- fix directory ownership
- fix sources URL
- better summary
- drop patch 0, fixed upstream

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.07-1mdk
- 2.07
- Patch #0, to allow to install in vendor_perl

* Wed Mar 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.06-1mdk
- 2.06

* Mon Feb 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.05-1mdk
- 2.05
- no more arch-independent

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.02-1mdk
- 2.02
- cosmetics
- use %%makeinstall_std macro

* Mon Feb 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.12-1mdk
- 1.12
- own dirs

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.11-1mdk
- 1.11.

